<?php

/*** Post Settings ***/

if ( ! function_exists( 'vibez_elated_map_post_meta' ) ) {
	function vibez_elated_map_post_meta() {
		
		$post_meta_box = vibez_elated_create_meta_box(
			array(
				'scope' => array( 'post' ),
				'title' => esc_html__( 'Post', 'vibez' ),
				'name'  => 'post-meta'
			)
		);
		
		vibez_elated_create_meta_box_field(
			array(
				'name'          => 'eltdf_blog_single_sidebar_layout_meta',
				'type'          => 'select',
				'label'         => esc_html__( 'Sidebar Layout', 'vibez' ),
				'description'   => esc_html__( 'Choose a sidebar layout for Blog single page', 'vibez' ),
				'default_value' => '',
				'parent'        => $post_meta_box,
				'options'       => array(
					''                 => esc_html__( 'Default', 'vibez' ),
					'no-sidebar'       => esc_html__( 'No Sidebar', 'vibez' ),
					'sidebar-33-right' => esc_html__( 'Sidebar 1/3 Right', 'vibez' ),
					'sidebar-25-right' => esc_html__( 'Sidebar 1/4 Right', 'vibez' ),
					'sidebar-33-left'  => esc_html__( 'Sidebar 1/3 Left', 'vibez' ),
					'sidebar-25-left'  => esc_html__( 'Sidebar 1/4 Left', 'vibez' )
				)
			)
		);
		
		$vibez_custom_sidebars = vibez_elated_get_custom_sidebars();
		if ( count( $vibez_custom_sidebars ) > 0 ) {
			vibez_elated_create_meta_box_field( array(
				'name'        => 'eltdf_blog_single_custom_sidebar_area_meta',
				'type'        => 'selectblank',
				'label'       => esc_html__( 'Sidebar to Display', 'vibez' ),
				'description' => esc_html__( 'Choose a sidebar to display on Blog single page. Default sidebar is "Sidebar"', 'vibez' ),
				'parent'      => $post_meta_box,
				'options'     => vibez_elated_get_custom_sidebars(),
				'args' => array(
					'select2' => true
				)
			) );
		}
		
		vibez_elated_create_meta_box_field(
			array(
				'name'        => 'eltdf_blog_list_featured_image_meta',
				'type'        => 'image',
				'label'       => esc_html__( 'Blog List Image', 'vibez' ),
				'description' => esc_html__( 'Choose an Image for displaying in blog list. If not uploaded, featured image will be shown.', 'vibez' ),
				'parent'      => $post_meta_box
			)
		);
		
		vibez_elated_create_meta_box_field(
			array(
				'name'          => 'eltdf_blog_masonry_gallery_fixed_dimensions_meta',
				'type'          => 'select',
				'label'         => esc_html__( 'Dimensions for Fixed Proportion', 'vibez' ),
				'description'   => esc_html__( 'Choose image layout when it appears in Masonry lists in fixed proportion', 'vibez' ),
				'default_value' => 'default',
				'parent'        => $post_meta_box,
				'options'       => array(
					'default'            => esc_html__( 'Default', 'vibez' ),
					'large-width'        => esc_html__( 'Large Width', 'vibez' ),
					'large-height'       => esc_html__( 'Large Height', 'vibez' ),
					'large-width-height' => esc_html__( 'Large Width/Height', 'vibez' )
				)
			)
		);
		
		vibez_elated_create_meta_box_field(
			array(
				'name'          => 'eltdf_blog_masonry_gallery_original_dimensions_meta',
				'type'          => 'select',
				'label'         => esc_html__( 'Dimensions for Original Proportion', 'vibez' ),
				'description'   => esc_html__( 'Choose image layout when it appears in Masonry lists in original proportion', 'vibez' ),
				'default_value' => 'default',
				'parent'        => $post_meta_box,
				'options'       => array(
					'default'     => esc_html__( 'Default', 'vibez' ),
					'large-width' => esc_html__( 'Large Width', 'vibez' )
				)
			)
		);
		
		vibez_elated_create_meta_box_field(
			array(
				'name'          => 'eltdf_show_title_area_blog_meta',
				'type'          => 'select',
				'default_value' => '',
				'label'         => esc_html__( 'Show Title Area', 'vibez' ),
				'description'   => esc_html__( 'Enabling this option will show title area on your single post page', 'vibez' ),
				'parent'        => $post_meta_box,
				'options'       => vibez_elated_get_yes_no_select_array()
			)
		);
	}
	
	add_action( 'vibez_elated_action_meta_boxes_map', 'vibez_elated_map_post_meta', 20 );
}
