<?php

if ( ! function_exists( 'vibez_elated_map_blog_meta' ) ) {
	function vibez_elated_map_blog_meta() {
		$eltd_blog_categories = array();
		$categories           = get_categories();
		foreach ( $categories as $category ) {
			$eltd_blog_categories[ $category->slug ] = $category->name;
		}
		
		$blog_meta_box = vibez_elated_create_meta_box(
			array(
				'scope' => array( 'page' ),
				'title' => esc_html__( 'Blog', 'vibez' ),
				'name'  => 'blog_meta'
			)
		);
		
		vibez_elated_create_meta_box_field(
			array(
				'name'        => 'eltdf_blog_category_meta',
				'type'        => 'selectblank',
				'label'       => esc_html__( 'Blog Category', 'vibez' ),
				'description' => esc_html__( 'Choose category of posts to display (leave empty to display all categories)', 'vibez' ),
				'parent'      => $blog_meta_box,
				'options'     => $eltd_blog_categories
			)
		);
		
		vibez_elated_create_meta_box_field(
			array(
				'name'        => 'eltdf_show_posts_per_page_meta',
				'type'        => 'text',
				'label'       => esc_html__( 'Number of Posts', 'vibez' ),
				'description' => esc_html__( 'Enter the number of posts to display', 'vibez' ),
				'parent'      => $blog_meta_box,
				'options'     => $eltd_blog_categories,
				'args'        => array( "col_width" => 3 )
			)
		);
		
		vibez_elated_create_meta_box_field(
			array(
				'name'        => 'eltdf_blog_masonry_layout_meta',
				'type'        => 'select',
				'label'       => esc_html__( 'Masonry - Layout', 'vibez' ),
				'description' => esc_html__( 'Set masonry layout. Default is in grid.', 'vibez' ),
				'parent'      => $blog_meta_box,
				'options'     => array(
					''           => esc_html__( 'Default', 'vibez' ),
					'in-grid'    => esc_html__( 'In Grid', 'vibez' ),
					'full-width' => esc_html__( 'Full Width', 'vibez' )
				)
			)
		);
		
		vibez_elated_create_meta_box_field(
			array(
				'name'        => 'eltdf_blog_masonry_number_of_columns_meta',
				'type'        => 'select',
				'label'       => esc_html__( 'Masonry - Number of Columns', 'vibez' ),
				'description' => esc_html__( 'Set number of columns for your masonry blog lists', 'vibez' ),
				'parent'      => $blog_meta_box,
				'options'     => array(
					''      => esc_html__( 'Default', 'vibez' ),
					'two'   => esc_html__( '2 Columns', 'vibez' ),
					'three' => esc_html__( '3 Columns', 'vibez' ),
					'four'  => esc_html__( '4 Columns', 'vibez' ),
					'five'  => esc_html__( '5 Columns', 'vibez' )
				)
			)
		);
		
		vibez_elated_create_meta_box_field(
			array(
				'name'        => 'eltdf_blog_masonry_space_between_items_meta',
				'type'        => 'select',
				'label'       => esc_html__( 'Masonry - Space Between Items', 'vibez' ),
				'description' => esc_html__( 'Set space size between posts for your masonry blog lists', 'vibez' ),
				'parent'      => $blog_meta_box,
				'options'     => array(
					''       => esc_html__( 'Default', 'vibez' ),
					'normal' => esc_html__( 'Normal', 'vibez' ),
					'small'  => esc_html__( 'Small', 'vibez' ),
					'tiny'   => esc_html__( 'Tiny', 'vibez' ),
					'no'     => esc_html__( 'No Space', 'vibez' )
				)
			)
		);
		
		vibez_elated_create_meta_box_field(
			array(
				'name'          => 'eltdf_blog_list_featured_image_proportion_meta',
				'type'          => 'select',
				'label'         => esc_html__( 'Featured Image Proportion', 'vibez' ),
				'description'   => esc_html__( 'Choose type of proportions you want to use for featured images on blog lists.', 'vibez' ),
				'parent'        => $blog_meta_box,
				'default_value' => '',
				'options'       => array(
					''         => esc_html__( 'Default', 'vibez' ),
					'fixed'    => esc_html__( 'Fixed', 'vibez' ),
					'original' => esc_html__( 'Original', 'vibez' )
				)
			)
		);
		
		vibez_elated_create_meta_box_field(
			array(
				'name'          => 'eltdf_blog_pagination_type_meta',
				'type'          => 'select',
				'label'         => esc_html__( 'Pagination Type', 'vibez' ),
				'description'   => esc_html__( 'Choose a pagination layout for Blog Lists', 'vibez' ),
				'parent'        => $blog_meta_box,
				'default_value' => '',
				'options'       => array(
					''                => esc_html__( 'Default', 'vibez' ),
					'standard'        => esc_html__( 'Standard', 'vibez' ),
					'load-more'       => esc_html__( 'Load More', 'vibez' ),
					'infinite-scroll' => esc_html__( 'Infinite Scroll', 'vibez' ),
					'no-pagination'   => esc_html__( 'No Pagination', 'vibez' )
				)
			)
		);
		
		vibez_elated_create_meta_box_field(
			array(
				'type'          => 'text',
				'name'          => 'eltdf_number_of_chars_meta',
				'default_value' => '',
				'label'         => esc_html__( 'Number of Words in Excerpt', 'vibez' ),
				'description'   => esc_html__( 'Enter a number of words in excerpt (article summary). Default value is 40', 'vibez' ),
				'parent'        => $blog_meta_box,
				'args'          => array(
					'col_width' => 3
				)
			)
		);
	}
	
	add_action( 'vibez_elated_action_meta_boxes_map', 'vibez_elated_map_blog_meta', 30 );
}