<?php

if ( ! function_exists('vibez_elated_blog_options_map') ) {

	function vibez_elated_blog_options_map() {

		vibez_elated_add_admin_page(
			array(
				'slug' => '_blog_page',
				'title' => esc_html__('Blog', 'vibez'),
				'icon' => 'fa fa-files-o'
			)
		);

		/**
		 * Blog Lists
		 */
		$panel_blog_lists = vibez_elated_add_admin_panel(
			array(
				'page' => '_blog_page',
				'name' => 'panel_blog_lists',
				'title' => esc_html__('Blog Lists', 'vibez')
			)
		);
		
		vibez_elated_add_admin_field( array(
			'name'          => 'blog_list_type',
			'type'          => 'select',
			'label'         => esc_html__( 'Blog Layout for Archive Pages', 'vibez' ),
			'description'   => esc_html__( 'Choose a default blog layout for archived blog post lists', 'vibez' ),
			'default_value' => 'standard',
			'parent'        => $panel_blog_lists,
			'options'       => array(
				'masonry'  => esc_html__( 'Blog: Masonry', 'vibez' ),
				'standard' => esc_html__( 'Blog: Standard', 'vibez' )
			)
		) );

		vibez_elated_add_admin_field(array(
			'name'        => 'archive_sidebar_layout',
			'type'        => 'select',
			'label'       => esc_html__('Sidebar Layout for Archive Pages', 'vibez'),
			'description' => esc_html__('Choose a sidebar layout for archived blog post lists', 'vibez'),
			'default_value' => '',
			'parent'      => $panel_blog_lists,
			'options'     => array(
				''		            => esc_html__('Default', 'vibez'),
				'no-sidebar'		=> esc_html__('No Sidebar', 'vibez'),
				'sidebar-33-right'	=> esc_html__('Sidebar 1/3 Right', 'vibez'),
				'sidebar-25-right' 	=> esc_html__('Sidebar 1/4 Right', 'vibez'),
				'sidebar-33-left' 	=> esc_html__('Sidebar 1/3 Left', 'vibez'),
				'sidebar-25-left' 	=> esc_html__('Sidebar 1/4 Left', 'vibez')
			)
		));
		
		$vibez_custom_sidebars = vibez_elated_get_custom_sidebars();
		if(count($vibez_custom_sidebars) > 0) {
			vibez_elated_add_admin_field(array(
				'name' => 'archive_custom_sidebar_area',
				'type' => 'selectblank',
				'label' => esc_html__('Sidebar to Display for Archive Pages', 'vibez'),
				'description' => esc_html__('Choose a sidebar to display on archived blog post lists. Default sidebar is "Sidebar Page"', 'vibez'),
				'parent' => $panel_blog_lists,
				'options' => vibez_elated_get_custom_sidebars(),
				'args'        => array(
					'select2'	=> true
				)
			));
		}

        vibez_elated_add_admin_field(array(
            'name'        => 'blog_masonry_layout',
            'type'        => 'select',
            'label'       => esc_html__('Masonry - Layout', 'vibez'),
            'default_value' => 'in-grid',
            'description' => esc_html__('Set masonry layout. Default is in grid.', 'vibez'),
            'parent'      => $panel_blog_lists,
            'options'     => array(
                'in-grid'    => esc_html__('In Grid', 'vibez'),
                'full-width' => esc_html__('Full Width', 'vibez')
            )
        ));
		
		vibez_elated_add_admin_field(array(
			'name'        => 'blog_masonry_number_of_columns',
			'type'        => 'select',
			'label'       => esc_html__('Masonry - Number of Columns', 'vibez'),
			'default_value' => 'four',
			'description' => esc_html__('Set number of columns for your masonry blog lists. Default value is 4 columns', 'vibez'),
			'parent'      => $panel_blog_lists,
			'options'     => array(
				'two'   => esc_html__('2 Columns', 'vibez'),
				'three' => esc_html__('3 Columns', 'vibez'),
				'four'  => esc_html__('4 Columns', 'vibez'),
				'five'  => esc_html__('5 Columns', 'vibez')
			)
		));
		
		vibez_elated_add_admin_field(array(
			'name'        => 'blog_masonry_space_between_items',
			'type'        => 'select',
			'label'       => esc_html__('Masonry - Space Between Items', 'vibez'),
			'default_value' => 'normal',
			'description' => esc_html__('Set space size between posts for your masonry blog lists. Default value is normal', 'vibez'),
			'parent'      => $panel_blog_lists,
			'options'     => array(
				'normal'  => esc_html__('Normal', 'vibez'),
				'small'   => esc_html__('Small', 'vibez'),
				'tiny'    => esc_html__('Tiny', 'vibez'),
				'no'      => esc_html__('No Space', 'vibez')
			)
		));

        vibez_elated_add_admin_field(array(
            'name'        => 'blog_list_featured_image_proportion',
            'type'        => 'select',
            'label'       => esc_html__('Featured Image Proportion', 'vibez'),
            'default_value' => 'fixed',
            'description' => esc_html__('Choose type of proportions you want to use for featured images on blog lists.', 'vibez'),
            'parent'      => $panel_blog_lists,
            'options'     => array(
                'fixed'    => esc_html__('Fixed', 'vibez'),
                'original' => esc_html__('Original', 'vibez')
            )
        ));

		vibez_elated_add_admin_field(array(
			'name'        => 'blog_pagination_type',
			'type'        => 'select',
			'label'       => esc_html__('Pagination Type', 'vibez'),
			'description' => esc_html__('Choose a pagination layout for Blog Lists', 'vibez'),
			'parent'      => $panel_blog_lists,
			'default_value' => 'standard',
			'options'     => array(
				'standard'		  => esc_html__('Standard', 'vibez'),
				'load-more'		  => esc_html__('Load More', 'vibez'),
				'infinite-scroll' => esc_html__('Infinite Scroll', 'vibez'),
				'no-pagination'   => esc_html__('No Pagination', 'vibez')
			)
		));
	
		vibez_elated_add_admin_field(
			array(
				'type' => 'text',
				'name' => 'number_of_chars',
				'default_value' => '40',
				'label' => esc_html__('Number of Words in Excerpt', 'vibez'),
				'description' => esc_html__('Enter a number of words in excerpt (article summary). Default value is 40', 'vibez'),
				'parent' => $panel_blog_lists,
				'args' => array(
					'col_width' => 3
				)
			)
		);

		/**
		 * Blog Single
		 */
		$panel_blog_single = vibez_elated_add_admin_panel(
			array(
				'page' => '_blog_page',
				'name' => 'panel_blog_single',
				'title' => esc_html__('Blog Single', 'vibez')
			)
		);

		vibez_elated_add_admin_field(array(
			'name'        => 'blog_single_sidebar_layout',
			'type'        => 'select',
			'label'       => esc_html__('Sidebar Layout', 'vibez'),
			'description' => esc_html__('Choose a sidebar layout for Blog Single pages', 'vibez'),
			'default_value'	=> '',
			'parent'      => $panel_blog_single,
			'options'     => array(
				''		            => esc_html__('Default', 'vibez'),
				'no-sidebar'		=> esc_html__('No Sidebar', 'vibez'),
				'sidebar-33-right'	=> esc_html__('Sidebar 1/3 Right', 'vibez'),
				'sidebar-25-right' 	=> esc_html__('Sidebar 1/4 Right', 'vibez'),
				'sidebar-33-left' 	=> esc_html__('Sidebar 1/3 Left', 'vibez'),
				'sidebar-25-left' 	=> esc_html__('Sidebar 1/4 Left', 'vibez')
			)
		));

		if(count($vibez_custom_sidebars) > 0) {
			vibez_elated_add_admin_field(array(
				'name' => 'blog_single_custom_sidebar_area',
				'type' => 'selectblank',
				'label' => esc_html__('Sidebar to Display', 'vibez'),
				'description' => esc_html__('Choose a sidebar to display on Blog Single pages. Default sidebar is "Sidebar"', 'vibez'),
				'parent' => $panel_blog_single,
				'options' => vibez_elated_get_custom_sidebars(),
				'args'        => array(
					'select2'	=> true
				)
			));
		}
		
		vibez_elated_add_admin_field(
			array(
				'type' => 'select',
				'name' => 'show_title_area_blog',
				'default_value' => '',
				'label'       => esc_html__('Show Title Area', 'vibez'),
				'description' => esc_html__('Enabling this option will show title area on single post pages', 'vibez'),
				'parent'      => $panel_blog_single,
				'options'     => vibez_elated_get_yes_no_select_array(),
				'args' => array(
					'col_width' => 3
				)
			)
		);

		vibez_elated_add_admin_field(array(
			'name'          => 'blog_single_title_in_title_area',
			'type'          => 'yesno',
			'label'         => esc_html__('Show Post Title in Title Area', 'vibez'),
			'description'   => esc_html__('Enabling this option will show post title in title area on single post pages', 'vibez'),
			'parent'        => $panel_blog_single,
			'default_value' => 'no'
		));

		vibez_elated_add_admin_field(array(
			'name'			=> 'blog_single_related_posts',
			'type'			=> 'yesno',
			'label'			=> esc_html__('Show Related Posts', 'vibez'),
			'description'   => esc_html__('Enabling this option will show related posts on single post pages', 'vibez'),
			'parent'        => $panel_blog_single,
			'default_value' => 'yes'
		));

		vibez_elated_add_admin_field(array(
			'name'          => 'blog_single_comments',
			'type'          => 'yesno',
			'label'         => esc_html__('Show Comments Form', 'vibez'),
			'description'   => esc_html__('Enabling this option will show comments form on single post pages', 'vibez'),
			'parent'        => $panel_blog_single,
			'default_value' => 'yes'
		));

		vibez_elated_add_admin_field(
			array(
				'type' => 'yesno',
				'name' => 'blog_single_navigation',
				'default_value' => 'no',
				'label' => esc_html__('Enable Prev/Next Single Post Navigation Links', 'vibez'),
				'description' => esc_html__('Enable navigation links through the blog posts (left and right arrows will appear)', 'vibez'),
				'parent' => $panel_blog_single,
				'args' => array(
					'dependence' => true,
					'dependence_hide_on_yes' => '',
					'dependence_show_on_yes' => '#eltdf_eltdf_blog_single_navigation_container'
				)
			)
		);

		$blog_single_navigation_container = vibez_elated_add_admin_container(
			array(
				'name' => 'eltdf_blog_single_navigation_container',
				'hidden_property' => 'blog_single_navigation',
				'hidden_value' => 'no',
				'parent' => $panel_blog_single,
			)
		);

		vibez_elated_add_admin_field(
			array(
				'type' => 'yesno',
				'name' => 'blog_navigation_through_same_category',
				'default_value' => 'no',
				'label'       => esc_html__('Enable Navigation Only in Current Category', 'vibez'),
				'description' => esc_html__('Limit your navigation only through current category', 'vibez'),
				'parent'      => $blog_single_navigation_container,
				'args' => array(
					'col_width' => 3
				)
			)
		);

		vibez_elated_add_admin_field(
			array(
				'type' => 'yesno',
				'name' => 'blog_author_info',
				'default_value' => 'yes',
				'label' => esc_html__('Show Author Info Box', 'vibez'),
				'description' => esc_html__('Enabling this option will display author name and descriptions on single post pages', 'vibez'),
				'parent' => $panel_blog_single,
				'args' => array(
					'dependence' => true,
					'dependence_hide_on_yes' => '',
					'dependence_show_on_yes' => '#eltdf_eltdf_blog_single_author_info_container'
				)
			)
		);

		$blog_single_author_info_container = vibez_elated_add_admin_container(
			array(
				'name' => 'eltdf_blog_single_author_info_container',
				'hidden_property' => 'blog_author_info',
				'hidden_value' => 'no',
				'parent' => $panel_blog_single,
			)
		);

		vibez_elated_add_admin_field(
			array(
				'type'        => 'yesno',
				'name' => 'blog_author_info_email',
				'default_value' => 'no',
				'label'       => esc_html__('Show Author Email', 'vibez'),
				'description' => esc_html__('Enabling this option will show author email', 'vibez'),
				'parent'      => $blog_single_author_info_container,
				'args' => array(
					'col_width' => 3
				)
			)
		);

		vibez_elated_add_admin_field(
			array(
				'type' => 'yesno',
				'name' => 'blog_single_author_social',
				'default_value' => 'yes',
				'label'       => esc_html__('Show Author Social Icons', 'vibez'),
				'description' => esc_html__('Enabling this option will show author social icons on single post pages', 'vibez'),
				'parent'      => $blog_single_author_info_container,
				'args' => array(
					'col_width' => 3
				)
			)
		);
	}

	add_action( 'vibez_elated_action_options_map', 'vibez_elated_blog_options_map', 11);
}