<?php
	$author_info_box       = esc_attr(vibez_elated_options()->getOptionValue('blog_author_info'));
	$author_info_email     = esc_attr(vibez_elated_options()->getOptionValue('blog_author_info_email'));
	$author_id             = esc_attr(get_the_author_meta('ID'));
	$social_networks       = vibez_elated_core_plugin_installed() ? vibez_elated_get_user_custom_fields() : false;
    $display_author_social = vibez_elated_options()->getOptionValue('blog_single_author_social') === 'no' ? false : true;
	$author_bg_img         = get_the_author_meta('user_bg_image', $author_id) ? get_the_author_meta('user_bg_image', $author_id) : '';
	$author_info           = get_the_author_meta('user_position', $author_id) ? get_the_author_meta('user_position', $author_id) : '';
	$info_skin             = get_the_author_meta( 'info_skin', $author_id ) ? 'eltdf-author-info-'.get_the_author_meta( 'info_skin', $author_id ) : '';
	$holder_styles = array();
	if(!empty($author_bg_img)) {
		$holder_styles[] = 'background-image: url('.esc_attr($author_bg_img).');';
		$holder_styles[] = 'padding: 116px 0 55px;';
	}
?>
<?php if($author_info_box === 'yes' && get_the_author_meta('description') !== "") { ?>
	<div class="eltdf-author-description <?php echo esc_attr($info_skin); ?>" <?php vibez_elated_inline_style($holder_styles); ?>>
		<div class="eltdf-author-description-content">
			<h3 class="eltdf-author-name vcard author">
				<a itemprop="url" href="<?php echo esc_url(get_author_posts_url($author_id)); ?>" title="<?php the_title_attribute(); ?>" target="_self">
						<span class="fn">
						<?php
						if(get_the_author_meta('first_name') != "" || get_the_author_meta('last_name') != "") {
							echo esc_html(get_the_author_meta('first_name')) . " " . esc_html(get_the_author_meta('last_name'));
						} else {
							echo esc_html(get_the_author_meta('display_name'));
						}
						?>
						</span>
				</a>
				<?php if($author_info !== '') { ?>
					<span class="eltdf-author-position"><?php echo esc_html($author_info); ?></span>
				<?php } ?>
			</h3>
			<div class="eltdf-author-description-text-holder">
				<?php if(get_the_author_meta('description') != "") { ?>
					<div class="eltdf-author-text">
						<p itemprop="description"><?php echo esc_html(get_the_author_meta('description')); ?></p>
					</div>
				<?php } ?>
				<?php if($author_info_email === 'yes' && is_email(get_the_author_meta('email'))){ ?>
					<p itemprop="email" class="eltdf-author-email"><?php echo sanitize_email(get_the_author_meta('email')); ?></p>
				<?php } ?>
				<?php if($display_author_social) { ?>
					<?php if(is_array($social_networks) && count($social_networks)){ ?>
						<div class="eltdf-author-social-icons clearfix">
							<?php foreach($social_networks as $network){ ?>
								<a itemprop="url" href="<?php echo esc_url($network['link'])?>" target="_blank">
									<?php echo vibez_elated_icon_collections()->renderIcon($network['class'], 'font_elegant'); ?>
								</a>
							<?php }?>
						</div>
					<?php } ?>
				<?php } ?>
			</div>
		</div>
	</div>
<?php } ?>