<?php

if( !function_exists('vibez_elated_search_body_class') ) {
    /**
     * Function that adds body classes for different search types
     *
     * @param $classes array original array of body classes
     *
     * @return array modified array of classes
     */
    function vibez_elated_search_body_class($classes) {
        $classes[] = 'eltdf-fullscreen-search';
        $classes[] = 'eltdf-search-fade';

        return $classes;
    }

    add_filter('body_class', 'vibez_elated_search_body_class');
}

if ( ! function_exists('vibez_elated_get_search') ) {
    /**
     * Loads search HTML based on search type option.
     */
    function vibez_elated_get_search() {
        vibez_elated_load_search_template();
    }

    add_action('vibez_elated_action_before_page_header', 'vibez_elated_get_search');
}

if ( ! function_exists('vibez_elated_load_search_template') ) {
    /**
     * Loads search HTML based on search type option.
     */
    function vibez_elated_load_search_template() {
        vibez_elated_get_module_template_part('templates/types/fullscreen', 'search');
    }
}