<?php

if (!function_exists('vibez_elated_register_timetable_sidebars')) {
	/**
	 * Function that registers theme's sidebars
	 */
	function vibez_elated_register_timetable_sidebars() {
		
		register_sidebar(array(
			'name' => esc_html__('Sidebar Event', 'vibez'),
			'id' => 'sidebar-event',
			'description' => esc_html__('Default Sidebar for Timetable pages', 'vibez'),
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<div class="eltdf-widget-title-holder"><h4 class="eltdf-widget-title">',
			'after_title' => '</h4></div>'
		));
	}
	
	add_action('widgets_init', 'vibez_elated_register_timetable_sidebars', 1);
}

if ( ! function_exists( 'vibez_elated_get_tt_event_single_content' ) ) {
	/**
	 * Loads timetable single event page
	 */
	function vibez_elated_get_tt_event_single_content() {
		$subtitle = get_post_meta( get_the_ID(), 'timetable_subtitle', true );
		
		$params = array(
			'subtitle' => $subtitle
		);
		
		vibez_elated_get_module_template_part( 'templates/events-single', 'timetable-schedule', '', $params );
	}
}

if ( ! function_exists( 'vibez_elated_tt_events_single_default_sidebar' ) ) {
	/**
	 * Sets default sidebar for timetable single event event
	 *
	 * @param $sidebar
	 *
	 * @return string
	 */
	function vibez_elated_tt_events_single_default_sidebar( $sidebar ) {
		$page_id = vibez_elated_get_page_id();
		
		if ( get_post_type( $page_id ) === 'tt-events' ) {
			$custom_sidebar_area = get_post_meta( $page_id, 'eltdf_custom_sidebar_area_meta', true );
			$sidebar             = ! empty( $custom_sidebar_area ) ? $custom_sidebar_area : 'sidebar-event';
		}
		
		return $sidebar;
	}
	
	add_filter( 'vibez_elated_filter_sidebar_name', 'vibez_elated_tt_events_single_default_sidebar' );
}

if ( ! function_exists( 'eltdf_core_set_timetable_event_icon_class_name_for_vc_shortcodes' ) ) {
	/**
	 * Function that set timetable events class name for shortcodes to set our icon for Visual Composer shortcodes panel
	 */
	function eltdf_core_set_timetable_event_icon_class_name_for_vc_shortcodes( $shortcodes_icon_class_array ) {
		$shortcodes_icon_class_array[] = '.icon-wpb-a-timetable-events-hours';
		$shortcodes_icon_class_array[] = '.icon-wpb-a-timetable-event-info-holder';
		$shortcodes_icon_class_array[] = '.icon-wpb-a-timetable-event-info-table-item';
		
		return $shortcodes_icon_class_array;
	}
	
	if ( vibez_elated_core_plugin_installed() ) {
		add_filter( 'eltdf_core_filter_add_vc_shortcodes_custom_icon_class', 'eltdf_core_set_timetable_event_icon_class_name_for_vc_shortcodes' );
	}
}