<?php

class VibezElatedClassSeparatorWidget extends VibezElatedClassWidget {
    public function __construct() {
        parent::__construct(
            'eltdf_separator_widget',
	        esc_html__('Elated Separator Widget', 'vibez'),
	        array( 'description' => esc_html__( 'Add a separator element to your widget areas', 'vibez'))
        );

        $this->setParams();
    }

    /**
     * Sets widget options
     */
    protected function setParams() {
        $this->params = array(
            array(
                'type' => 'dropdown',
                'name' => 'type',
                'title' => esc_html__('Type', 'vibez'),
                'options' => array(
                    'normal' => esc_html__('Normal', 'vibez'),
                    'full-width' => esc_html__('Full Width', 'vibez')
                )
            ),
            array(
                'type' => 'dropdown',
                'name' => 'position',
                'title' => esc_html__('Position', 'vibez'),
                'options' => array(
                    'center' => esc_html__('Center', 'vibez'),
                    'left' => esc_html__('Left', 'vibez'),
                    'right' => esc_html__('Right', 'vibez')
                )
            ),
            array(
                'type' => 'dropdown',
                'name' => 'border_style',
                'title' => esc_html__('Style', 'vibez'),
                'options' => array(
                    'solid' => esc_html__('Solid', 'vibez'),
                    'dashed' => esc_html__('Dashed', 'vibez'),
                    'dotted' => esc_html__('Dotted', 'vibez')
                )
            ),
            array(
                'type' => 'textfield',
                'name' => 'color',
                'title' => esc_html__('Color', 'vibez')
            ),
            array(
                'type' => 'textfield',
                'name' => 'width',
                'title' => esc_html__('Width (px or %)', 'vibez')
            ),
            array(
                'type' => 'textfield',
                'name' => 'thickness',
                'title' => esc_html__('Thickness (px)', 'vibez')
            ),
            array(
                'type' => 'textfield',
                'name' => 'top_margin',
                'title' => esc_html__('Top Margin (px or %)', 'vibez')
            ),
            array(
                'type' => 'textfield',
                'name' => 'bottom_margin',
                'title' => esc_html__('Bottom Margin (px or %)', 'vibez')
            )
        );
    }

    /**
     * Generates widget's HTML
     *
     * @param array $args args from widget area
     * @param array $instance widget's options
     */
    public function widget($args, $instance) {
        extract($args);

        //prepare variables
        $params = '';

        //is instance empty?
        if(is_array($instance) && count($instance)) {
            //generate shortcode params
            foreach($instance as $key => $value) {
                $params .= " $key='$value' ";
            }
        }

        echo '<div class="widget eltdf-separator-widget">';
            echo do_shortcode("[eltdf_separator $params]"); // XSS OK
        echo '</div>';
    }
}