<?php

if(!function_exists('vibez_elated_register_required_plugins')) {
    /**
     * Registers theme plugins  as required plugins. Hooks to tgmpa_register hook
     */
    function vibez_elated_register_required_plugins() {
        $plugins = array(
	        array(
		        'name'               => esc_html__( 'WPBakery Visual Composer', 'vibez' ),
		        'slug'               => 'js_composer',
		        'source'             => get_template_directory() . '/includes/plugins/js_composer.zip',
		        'required'           => true,
		        'version'            => '6.4.1',
		        'force_activation'   => false,
		        'force_deactivation' => false
	        ),
	        array(
		        'name'               => esc_html__( 'Revolution Slider', 'vibez' ),
		        'slug'               => 'revslider',
		        'source'             => get_template_directory() . '/includes/plugins/revslider.zip',
		        'version'            => '6.2.23',
		        'required'           => true,
		        'force_activation'   => false,
		        'force_deactivation' => false
	        ),
	        array(
		        'name'               => esc_html__( 'Envato Market', 'vibez' ),
		        'slug'               => 'envato-market',
				'source'   			 => 'https://envato.github.io/wp-envato-market/dist/envato-market.zip',
		        'required'           => true,
		        'force_activation'   => false,
		        'force_deactivation' => false,
		        'external_url'       => '',
	        ),
	        array(
		        'name'               => esc_html__( 'Timetable', 'vibez' ),
		        'slug'               => 'timetable',
		        'source'             => get_template_directory() . '/includes/plugins/timetable.zip',
		        'version'            => '6.3',
		        'required'           => true,
		        'force_activation'   => false,
		        'force_deactivation' => false
	        ),
	        array(
		        'name'               => esc_html__( 'Elated Core', 'vibez' ),
		        'slug'               => 'eltdf-core',
		        'source'             => get_template_directory() . '/includes/plugins/eltdf-core.zip',
		        'version'            => '1.2.1',
		        'required'           => true,
		        'force_activation'   => false,
		        'force_deactivation' => false
	        ),
	        array(
		        'name'               => esc_html__( 'Elated Instagram Feed', 'vibez' ),
		        'slug'               => 'eltdf-instagram-feed',
		        'source'             => get_template_directory() . '/includes/plugins/eltdf-instagram-feed.zip',
		        'version'            => '2.0',
		        'required'           => true,
		        'force_activation'   => false,
		        'force_deactivation' => false
	        ),
	        array(
		        'name'               => esc_html__( 'Elated Twitter Feed', 'vibez' ),
		        'slug'               => 'eltdf-twitter-feed',
		        'source'             => get_template_directory() . '/includes/plugins/eltdf-twitter-feed.zip',
		        'version'            => '1.0.1',
		        'required'           => true,
		        'force_activation'   => false,
		        'force_deactivation' => false
	        ),
	        array(
		        'name'         => esc_html__( 'The Events Calendar', 'vibez' ),
		        'slug'         => 'the-events-calendar',
		        'external_url' => 'https://wordpress.org/plugins/the-events-calendar/',
		        'required'     => false
	        ),
	        array(
		        'name'         => esc_html__( 'WooCommerce', 'vibez' ),
		        'slug'         => 'woocommerce',
		        'external_url' => 'https://wordpress.org/plugins/woocommerce/',
		        'required'     => false
	        ),
	        array(
		        'name'         => esc_html__( 'Contact Form 7', 'vibez' ),
		        'slug'         => 'contact-form-7',
		        'external_url' => 'https://wordpress.org/plugins/contact-form-7/',
		        'required'     => false
	        )
        );

        $config = array(
            'domain'           => 'vibez',
            'default_path'     => '',
            'parent_slug' 	   => 'themes.php',
            'capability' 	   => 'edit_theme_options',
            'menu'             => 'install-required-plugins',
            'has_notices'      => true,
            'is_automatic'     => false,
            'message'          => '',
            'strings'          => array(
                'page_title'                      => esc_html__('Install Required Plugins', 'vibez'),
                'menu_title'                      => esc_html__('Install Plugins', 'vibez'),
                'installing'                      => esc_html__('Installing Plugin: %s', 'vibez'),
                'oops'                            => esc_html__('Something went wrong with the plugin API.', 'vibez'),
                'notice_can_install_required'     => _n_noop('This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'vibez'),
                'notice_can_install_recommended'  => _n_noop('This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'vibez'),
                'notice_cannot_install'           => _n_noop('Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'vibez'),
                'notice_can_activate_required'    => _n_noop('The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'vibez'),
                'notice_can_activate_recommended' => _n_noop('The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'vibez'),
                'notice_cannot_activate'          => _n_noop('Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'vibez'),
                'notice_ask_to_update'            => _n_noop('The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'vibez'),
                'notice_cannot_update'            => _n_noop('Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'vibez'),
                'install_link'                    => _n_noop('Begin installing plugin', 'Begin installing plugins', 'vibez'),
                'activate_link'                   => _n_noop('Activate installed plugin', 'Activate installed plugins', 'vibez'),
                'return'                          => esc_html__('Return to Required Plugins Installer', 'vibez'),
                'plugin_activated'                => esc_html__('Plugin activated successfully.', 'vibez'),
                'complete'                        => esc_html__('All plugins installed and activated successfully. %s', 'vibez'),
                'nag_type'                        => 'updated'
            )
        );

        tgmpa($plugins, $config);
    }

    add_action('tgmpa_register', 'vibez_elated_register_required_plugins');
}